<?php

	// はてな用のライブラリの読み込み
	require './hatena-oauth-library.php' ;

	// アクセストークンとアクセストークンシークレット
	$access_token = '' ;
	$access_token_secret = '' ;

	// プロフィールデータを取得する
	$json = hatena_oauth( 'http://n.hatena.com/applications/my.json' , 'GET' , array( 'oauth_token' => $access_token , 'oauth_token_secret' => $access_token_secret ) ) ;

	// HTML用
	$html = '' ;

	// データ取得のエラー判定
	if( !$json )
	{
		$html .= '<p>アクセストークンかアクセストークンシークレットがおかしいです…。偽物？</p>' ;
	}
	else
	{
		// 取得したJSONデータをオブジェクトに変換
		$obj = json_decode( $json ) ;

		// HTML
		$html .= '<h2>実行結果</h2>' ;
		$html .= $obj->display_name . 'さんのアクセストークンとアクセストークンシークレットが本物であることを確認しました。' ;
		$html .= '<dl>' ;
		$html .= 	'<dt>ユーザーID</dt>' ;
		$html .= 		'<dd>' . $obj->url_name . '</dd>' ;
		$html .= 	'<dt>ユーザー名</dt>' ;
		$html .= 		'<dd>' . $obj->display_name . '</dd>' ;
		$html .= 	'<dt>アイコン画像</dt>' ;
		$html .= 		'<dd><img src="' . $obj->profile_image_url . '"></dd>' ;
		$html .= '</dl>' ;
	}

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>はてなブックマークで、プロフィールを取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-profile.php

	* 最終更新日時
	2015/07/24 03:09

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
