<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>はてなブックマークの、ユーザーのスター数を取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-star-user.php

	* 最終更新日時
	2015/07/23 21:43

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<h1 style="text-align:center;color:#d36015;">はてなブックマークの、ユーザーのスター数を取得するサンプルデモ</h1>
<p>PHPを使って、指定したユーザーのスター数を取得するサンプルデモです。</p>

<HR style="margin: 3em 0 ;">

<?php

	// ユーザーページのURLを指定
	$user = 'http://b.hatena.ne.jp/syncer/' ;

	// JSONデータを取得
	$json = @file_get_contents( 'http://s.hatena.ne.jp/blog.json?uri=' . rawurlencode( $user ) ) ;

	// オブジェクトに変換
	$obj = json_decode( $json ) ;

	// それぞれの合計スター数を算出(0の場合に備えて三項演算子で条件分け)
	$red = ( isset( $obj->count->red ) ) ? $obj->count->red : 0 ;
	$green = ( isset( $obj->count->green ) ) ? $obj->count->green : 0 ;
	$yellow = ( isset( $obj->count->yellow ) ) ? $obj->count->yellow : 0 ;
	$blue = ( isset( $obj->count->blue ) ) ? $obj->count->blue : 0 ;
	$purple = ( isset( $obj->count->purple ) ) ? $obj->count->purple : 0 ;
	$all = ( isset( $obj->star_count ) ) ? $obj->star_count : 0 ;

	// 出力する
	echo '<h2>実行結果</h2>' ;
	echo '<dl>' ;
	echo 	'<dt>ユーザー</dt>' ;
	echo 		'<dd><a href="' . $user . '" target="_blank">' . $user . '</a></dd>' ;
	echo 	'<dt>黄</dt>' ;
	echo 		'<dd>' . $yellow . '個</dd>' ;
	echo 	'<dt>緑</dt>' ;
	echo 		'<dd>' . $green . '個</dd>' ;
	echo 	'<dt>赤</dt>' ;
	echo 		'<dd>' . $red . '個</dd>' ;
	echo 	'<dt>青</dt>' ;
	echo 		'<dd>' . $blue . '個</dd>' ;
	echo 	'<dt>紫</dt>' ;
	echo 		'<dd>' . $purple . '個</dd>' ;
	echo 	'<dt>合計</dt>' ;
	echo 		'<dd>' . $all . '個</dd>' ;
	echo '</dl>' ;

?>


<HR style="margin: 3em 0 ;">



<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
