<?php

	// ユーザー画面で設定したキー
	$key = '' ;
 
	// パラメータをチェック(おまじない)
	foreach( $_POST as $a => $b ) if( !is_string( $_POST[$a] ) ) exit ;
 
	// キーが違ったら終了(エラー)
	if( !isset($_POST['key'] ) || $_POST['key'] != $key ) exit ;
 
	// ステータスが違ったら終了(エラー)
	if( !isset( $_POST['status']) || $_POST['status'] != 'add') exit ;

	// パラメータを整理
	$user = ( isset($_POST['username']) ) ? $_POST['username'] : '' ;	//ユーザー
	$title = ( isset($_POST['title']) ) ? $_POST['title'] : '' ;		//エントリーのタイトル
	$count = ( isset($_POST['count']) ) ? $_POST['count'] : '' ;		//ブックマーク数
	$comment = ( isset($_POST['comment']) ) ? $_POST['comment'] : '' ;	//コメント
	$permalink = ( isset($_POST['permalink']) ) ? $_POST['permalink'] : '' ;		//パーマリンク
	$timestamp = ( isset($_POST['timestamp']) ) ? $_POST['timestamp'] : '' ;		//ブックマークした日付
	$date = date( 'Y/m/d H:i' , strtotime($timestamp) ) ;		//日時を整形
	$client = ( isset($_POST['client']) ) ? $_POST['client'] : '' ;		//ブックマークした経路

	// メモする内容
	$memo = "{$user}が{$title}に{$client}経由でブックマークをしました。<br/>{$count}個目のブックマークです。<br/>コメント「{$comment}」<br/>日時：{$date}<br/>URL：{$permalink}";		//メモする内容

	// メモする
	@file_put_contents( './webhook_memo.txt' , $memo ) ;
