<?php

	// はてな用のライブラリの読み込み
	require './hatena-oauth-library.php' ;

	// アクセストークンとアクセストークンシークレット
	$access_token = '' ;
	$access_token_secret = '' ;

	// ブックマークするURL
	$url = 'https://syncer.jp/' ;
	$comment = 'APIを使って、ブックマークをしてみました。' ;

	// リクエストの設定
	$request_url = 'http://api.b.hatena.ne.jp/1/my/bookmark' ;		// リクエストURL
	$request_method = 'POST' ;								// リクエストメソッド

	// リクエストを送信する
	$json = hatena_oauth(
		$request_url ,
		$request_method ,
		array(
			'oauth_token' => $access_token ,
			'oauth_token_secret' => $access_token_secret ,
			'url' => $url ,
			'comment' => $comment ,
		)
	) ;

	// JSONをオブジェクトに変換
	$obj = json_decode( $json ) ;

	// HTML用
	$html = '' ;

	// 出力
	$html .= '<h2>実行結果</h2>' ;

	// 成功判定
	if( isset($obj->permalink) && !empty($obj->permalink) )
	{
		$html .= '<p>ブックマークに成功しました。<a href="' . $obj->permalink . '" target="_blank">こちら</a>から確認して下さい。</p>' ;
	}
	else
	{
		$html .= '<p>ブックマークに失敗したみたいです…。</p>' ;
	}

	$html .= 	'<h3>取得したデータ</h3>' ;
	$html .= 	'<p>下記が、リクエストを通して取得したデータです。</p>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>はてなブックマークで、指定したURLをブックマークするサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/add-bookmark.php

	* 最終更新日時
	2015/07/24 04:07

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
